FROM node:lts AS runtime
WORKDIR /app

COPY . .

RUN npm install
RUN npm run build

ENV HOST=0.0.0.0
ENV PORT=80
EXPOSE 80

FROM httpd:latest

COPY --from=runtime ./app/dist/ /usr/local/apache2/htdocs/